--- a/drivers/usb/net/zd1201.c	2005-05-01 11:25:54.000000000 +0200
+++ b/drivers/usb/net/zd1201.c	2005-05-01 11:26:27.000000000 +0200
@@ -1903,6 +1903,9 @@
 {
 	struct zd1201 *zd = (struct zd1201 *)usb_get_intfdata(interface);
 
+	if (!zd || !zd->dev)
+		return -ENODEV;
+
 	netif_device_attach(zd->dev);
 
 	if (zd->was_enabled)
